Chat9
APIEscalations

Resolve Escalation

POST
/escalations/{ticket_id}/resolve
/escalations/{ticket_id}/resolve

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

resolution_text
Required
Resolution Text

Minimum length: 1Maximum length: 8000

Path Parameters

ticket_id
Required
Ticket Id

Format: "uuid"
curl -X POST "https://api.getchat9.live/escalations/497f6eca-6276-4993-bfeb-53cbbbba6f08/resolve" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "resolution_text": "string"
  }'

Successful Response

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "ticket_number": "string",
  "primary_question": "string",
  "primary_question_original": "string",
  "primary_question_original_available": false,
  "conversation_summary": "string",
  "trigger": "string",
  "best_similarity_score": 0,
  "retrieved_chunks_preview": [
    {}
  ],
  "user_id": "string",
  "user_email": "string",
  "user_name": "string",
  "plan_tier": "string",
  "user_note": "string",
  "priority": "string",
  "status": "string",
  "resolution_text": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "resolved_at": "2019-08-24T14:15:22Z",
  "chat_id": "efc9fe20-a1e5-4a8c-9c48-f1b30c1e4f86",
  "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82"
}